Commit 61dd04b3 authored by Frederik Schwarzer's avatar Frederik Schwarzer
Browse files

Set C++14 compile the new way.

Just adding compiler options does not work correctly with Qt 5.7, since
Qt sets its own -std switch which would override the one set here.
parent bc08dfb0
project(kshisen) project(kshisen)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR) cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
set(QT_MIN_VERSION "5.2.0") set(QT_MIN_VERSION "5.2.0")
set(KF5_MIN_VERSION "5.15.0") set(KF5_MIN_VERSION "5.15.0")
set(CMAKE_CXX_STANDARD 14)
find_package(ECM 1.7.0 REQUIRED NO_MODULE) find_package(ECM 1.7.0 REQUIRED NO_MODULE)
if(ENABLE_CLAZY) if(ENABLE_CLAZY)
...@@ -46,10 +48,6 @@ add_definitions( ...@@ -46,10 +48,6 @@ add_definitions(
-DQT_USE_QSTRINGBUILDER -DQT_USE_QSTRINGBUILDER
) )
add_compile_options(
-std=c++14
)
add_subdirectory(src) add_subdirectory(src)
add_subdirectory(icons) add_subdirectory(icons)
add_subdirectory(sounds) add_subdirectory(sounds)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment